Botan 1.10.17

Namespaces | Enumerations | Functions
cvc_self.cpp File Reference
`#include <botan/cvc_self.h>`
`#include <botan/ecc_key.h>`
`#include <botan/point_gfp.h>`
`#include <botan/time.h>`
`#include <botan/oids.h>`
`#include <sstream>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::CVC_EAC
| Botan::DE_EAC

## Enumerations
enum | Botan::@121::CHAT_values

## Functions
EAC1_1_ADO | Botan::CVC_EAC::create_ado_req (Private_Key const &key, EAC1_1_Req const &req, ASN1_Car const &car, RandomNumberGenerator &rng)
EAC1_1_Req | Botan::CVC_EAC::create_cvc_req (Private_Key const &key, ASN1_Chr const &chr, std::string const &hash_alg, RandomNumberGenerator &rng)
EAC1_1_Req | Botan::DE_EAC::create_cvc_req (Private_Key const &prkey, ASN1_Chr const &chr, std::string const &hash_alg, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::DE_EAC::create_cvca (Private_Key const &key, std::string const &hash, ASN1_Car const &car, bool iris, bool fingerpr, u32bit cvca_validity_months, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::CVC_EAC::create_self_signed_cert (Private_Key const &key, EAC1_1_CVC_Options const &opt, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::DE_EAC::link_cvca (EAC1_1_CVC const &signer, Private_Key const &key, EAC1_1_CVC const &signee, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::DE_EAC::sign_request (EAC1_1_CVC const &signer_cert, Private_Key const &key, EAC1_1_Req const &signee, u32bit seqnr, u32bit seqnr_len, bool domestic, u32bit dvca_validity_months, u32bit ca_is_validity_months, RandomNumberGenerator &rng)

## Enumeration Type Documentation

## ◆ CHAT_values

enum Botan::@121::CHAT_values

Definition at line 23 of file cvc_self.cpp.

23 {
24 CVCA = 0xC0,
25 DVCA_domestic = 0x80,
26 DVCA_foreign = 0x40,
27 IS = 0x00,
28
29 IRIS = 0x02,
30 FINGERPRINT = 0x01
31 };